import {getAllRoleList} from '@/api/system/role/role';
import { BasicColumn, FormSchema } from '@/components/Table';
import {h} from "vue";
import {Tag} from "ant-design-vue";
import { Switch } from 'ant-design-vue';
import {useMessage} from "@/hooks/web/useMessage";
import {changeFlagApi} from "@/api/system/user/user";
import {relatedQualityColumns} from "@/views/dataStandards/basicStandards/basicStandards.data"; // 引入开关组件
type CheckedType = boolean | string | number;

/**主页面树/列表 数据*/
export const TreeData: any[] = [
  {
    "businessId": 100,
    "apiName": "API",
    "anotherName": "API",
    "parentId": 0,
    "createDate": "2024-10-24 10:04:04",
    "updateDate": "2024-10-24 10:04:04",
    holder:'admin',
    mode:'向导模式',
    workGroup:'共享工作区'
  },
  {
    "businessId": 101,
    "apiName": "个人工作区",
    "anotherName": "个人工作区",
    "parentId": 100,
    "ancestors": "0,100",
    "createDate": "2024-10-24 10:04:04",
    "updateDate": "2024-10-24 10:04:04",
    holder:'admin',
    mode:'向导模式',
    workGroup:'共享工作区'
  },
  {
    "businessId": 102,
    "apiName": "共享工作区",
    "anotherName": "共享工作区",
    "parentId": 100,
    "ancestors": "0,100",
    "standardCode": "BAS000003",
    "createDate": "2024-10-24 10:04:04",
    "updateDate": "2024-10-24 10:04:04",
    holder:'admin',
    mode:'向导模式',
    workGroup:'共享工作区'
  },
  {
    "businessId": 201,
    "apiName": "test01",
    "anotherName": "test01",
    "parentId": 102,
    "ancestors": "0,100,,102",
    "createDate": "2024-10-24 10:04:04",
    "updateDate": "2024-10-24 10:04:04",
    holder:'admin',
    mode:'向导模式',
    workGroup:'共享工作区'
  },
  {
    "businessId": 202,
    "apiName": "test02",
    "anotherName": "test02",
    "parentId": 102,
    "ancestors": "0,100,102",
    "createDate": "2024-10-24 10:04:04",
    "updateDate": "2024-10-24 10:04:04",
    holder:'admin',
    mode:'SQL模式',
    workGroup:'共享工作区'
  },
  {
    "businessId": 203,
    "apiName": "test03",
    "anotherName": "test03",
    "parentId": 101,
    "ancestors": "0,100,101",
    "createDate": "2024-10-24 10:04:04",
    "updateDate": "2024-10-24 10:04:04",
    holder:'admin',
    mode:'托管模式',
    workGroup:'共享工作区'
  },
];
/**新增API 卡片数据*/
export const cardData: any[] = [
  {
    title: '向导模式',
    version: 'kettle-1.0',
    remark: 'kettle',
    color: 'blue',
    icon: 'material-symbols:border-color-outline-rounded',
    details:'无须编写代码。通过可视化方式在界面勾选配置快速构建API',
  },
  {
    title: 'SQL模式',
    version: 'oracle_sql_1.0',
    remark: 'oracle_sql',
    color: 'blue',
    icon: 'material-symbols:border-color-outline-rounded',
    details:'通过自定义SQL脚本自行编写API的查询语句',
  },
  {
    title: '托管模式',
    version: 'oracle_sql_1.0',
    remark: 'oracle_sql',
    color: 'blue',
    icon: 'material-symbols:border-color-outline-rounded',
    details:'将三方API托管至数据服务，对API进行统一发布和管理',
  },
];
/**ApiDoc 列表 数据*/
export const apiDocColumnsData: any[] = [
  {
    parameterCode: 'id',
    parameterPosition: 'Body',
    xpath: '^.id',
    parameterType: 'object',
    annotation: '',
    isRequired: '是',
    parameterValue: '32e71d1a05eb42cca38'
  }
];
/**向导模式 列表 数据1*/
export const guideModelTableData1: any[] = [
  {
    column: '1',
    parameterCode: 'id',
    parameterType: 'int',
    comment: '',
    required: true,
    defaultValue:'-',
    exampleValue:''
  },
];
/**向导模式 列表 数据2*/
export const guideModelTableData2: any[] = [
  {
    column: '1',
    parameterCode: 'id',
    parameterType: 'int',
    parameterMappingFields:'1',
  },
];
/**向导模式 列表 数据3*/
export const guideModelTableData3: any[] = [
  {
    column: '1',
    parameterCode: 'midgard_offset',
    parameterType: 'INT',
    required: true,
    defaultValue:'-',
  },
  {
    column: '2',
    parameterCode: 'midgard_size',
    parameterType: 'INT',
    required: false,
    defaultValue:'100',
  },
];
/**向导模式 列表 数据4*/
export const guideModelTableData4: any[] = [
  {
    column: '1',
    parameterCode: 'age',
    comment: '',
    exampleValue:''
  },
  {
    column: '2',
    parameterCode: 'address',
    comment: '',
    exampleValue:''
  },
  {
    column: '3',
    parameterCode: 'create_time',
    comment: '',
    exampleValue:''
  },
];
/**向导模式 列表 数据5*/
export const guideModelTableData5: any[] = [
  {
    column: '1',
    orderType:'1'
  },
  {
    column: '2',
    orderType:'1'
  },
];
/**向导模式 列表 数据6*/
export const guideModelTableData6: any[] = [
  {
    column: 'id',
    parameterType: 'int',
    comment: '',
  },
  {
    column: '_demo0412',
    parameterType: 'string',
    comment: '',
  },
  {
    column: 'age',
    parameterType: 'int',
    comment: '',
  },
  {
    column: 'address',
    parameterType: 'string',
    comment: '',
  },
  {
    column: 'create_time',
    parameterType: 'timestamp',
    comment: '',
  },
];
/**向导模式 列表 数据7*/
export const guideModelTableData7: any[] = [
  {
    param1: 'birthday',
    param2: 'birthday',
    param3: '_01 set birthday=#{birthday},name=#{name}where id=#{id}',
    param4: 'String',
    param5: '-',
    param6: '否',
    param7: '2023-09-27',

  },
  {
    param1: 'name',
    param2: 'name',
    param3: '_01 set birthday=#{birthday},name=#{name}where id=#{id}',
    param4: 'String',
    param5: '-',
    param6: '否',
    param7: 'yi-update',
  },
  {
    param1: 'id',
    param2: 'id',
    param3: '_01 set birthday=#{birthday},name=#{name}where id=#{id}',
    param4: 'Number',
    param5: '-',
    param6: '否',
    param7: '10',
  },
  {
    param1: 'id',
    param2: 'id',
    param3: '_01 set birthday=#{birthday},name=#{name}where id=#{id}',
    param4: 'Number',
    param5: '-',
    param6: '否',
    param7: '1000',
  },
];
/**向导模式 列表 数据8*/
export const guideModelTableData8: any[] = [
  {
    value: 'sdfs',
  },
  {
    value: 'yi-update',
  },
  {
    value: 'yi1',
  },
  {
    value: 'yi2',
  },
  {
    value: 'yi3',
  },
];
/**向导模式 列表 数据9*/
export const guideModelTableData9: any[] = [
 {
    value: 'sdfs',
  },
];
/**向导模式 列表 数据10*/
export const guideModelTableData10: any[] = [

];
/**版本管理列表 数据*/
export const versionData: any[] = [
  {
    "versionId":"1",
    "versionName":"V1",
    "submitBy":"admin",
    "submitDate":"2021/11/15 18:55:06",
    "remarks":"STANDARD_BASIC添加发布的第一个版"
  },
  {
    "versionId":"2",
    "versionName":"V2",
    "submitBy":"admin",
    "submitDate":"2021/11/11 18:55:06",
    "remarks":"STANDARD_BASIC添加发布的第二个版"
  },
  {
    "versionId":"3",
    "versionName":"V3",
    "submitBy":"admin",
    "submitDate":"2021/11/11 18:55:06",
    "remarks":"标准导入"
  },
];
/**首页 新增表单树 数据*/
export const treeDataListTwo = [
  {
    label: '默认工作组',
    businessId: 1,
    children: [
      { label: '默认工作组01', businessId: 2 },
      { label: '默认工作组02', businessId: 3 },
      { label: '默认工作组03', businessId: 4 },
      { label: '默认工作组04', businessId: 5 },
    ],
  },
]
/**类别管理 列表 数据*/
export const typeManageTableData: any[] = [
  {
    typeId:'1',
    typeName:'API类别1'
  },
  {
    typeId:'2',
    typeName:'API类别2'
  },
  {
    typeId:'3',
    typeName:'API类别3'
  },
];
/**SQL模式-步骤1 sql数据*/
export const step1SQLData: any[] = [
  {
    sql:
    'SELECT name,birthday,sum(weight) as weight_total from yl_test.yl_table_01 WHERE id< #{id} GROUP BY name,birthday,id HAVING weight_total > #{weight_total} ORDER BY id limit #{offset},#{maxRows};\n' +
    'SELECT name,birthday from yl_test.yl_table_01 WHERE id<#{id} GROUP BY name,birthday,id HAVING weight_total > #{weight_total} ORDER BY id limit #{offset},#{maxRows}',
  }
];
/**SQL模式-步骤1 列表数据1*/
export const step1TableData1: any[] = [
  {
    parameter:'id',
    alias:'id',
    sourceSql:'1',
    sql:'SELECT name,birthday,sum(weight) as weight_total from yl_test.yl_table_01 WHERE id< #{id} GROUP BY name,birthday,id HAVING weight_total > #{weight_total} ORDER BY id limit #{offset},#{maxRows} SELECT name,birthday from yl_test.yl_table_01 WHERE id<${id} GROUP BY name,birthday,id HAVING weight_total > #{weight_total} ORDER BY id limit #{offset},#{maxRows}',
    parameterType:'String',
    comment:'',
    defaultValue:'默认值'
  },
  {
    parameter:'weight_total',
    alias:'weight_total',
    sourceSql:'1',
    sql:'SELECT name,birthday,sum(weight) as weight_total from yl_test.yl_table_01 WHERE id< #{id} GROUP BY name,birthday,id HAVING weight_total > #{weight_total} ORDER BY id limit #{offset},#{maxRows} SELECT name,birthday from yl_test.yl_table_01 WHERE id<${id} GROUP BY name,birthday,id HAVING weight_total > #{weight_total} ORDER BY id limit #{offset},#{maxRows}',
    parameterType:'String',
    comment:'',
    defaultValue:'默认值'
  },
  {
    parameter:'offset',
    alias:'offset',
    sourceSql:'1',
    sql:'SELECT name,birthday,sum(weight) as weight_total from yl_test.yl_table_01 WHERE id< #{id} GROUP BY name,birthday,id HAVING weight_total > #{weight_total} ORDER BY id limit #{offset},#{maxRows} SELECT name,birthday from yl_test.yl_table_01 WHERE id<${id} GROUP BY name,birthday,id HAVING weight_total > #{weight_total} ORDER BY id limit #{offset},#{maxRows}',
    parameterType:'String',
    comment:'',
    defaultValue:'默认值'
  }
];
/**SQL模式-步骤1 列表数据2*/
export const step1TableData2: any[] = [
  {
    parameter:'id',
    alias:'id',
    sourceSql:'2',
    sql:'SELECT name,birthday,sum(weight) as weight_total from yl_test.yl_table_01 WHERE id< #{id} GROUP BY name,birthday,id HAVING weight_total > #{weight_total} ORDER BY id limit #{offset},#{maxRows} SELECT name,birthday from yl_test.yl_table_01 WHERE id<${id} GROUP BY name,birthday,id HAVING weight_total > #{weight_total} ORDER BY id limit #{offset},#{maxRows}',
    parameterType:'2',
    parameterMappingFields:'1'
  },
];
/**SQL模式-步骤1 列表数据3*/
export const step1TableData3: any[] = [
  {
    column:'name',
    alias:'name',
    sourceSql:'1',
    sql:'SELECT name,birthday,sum(weight) as weight_total from yl_test.yl_table_01 WHERE id< #{id} GROUP BY name,birthday,id HAVING weight_total > #{weight_total} ORDER BY id limit #{offset},#{maxRows} SELECT name,birthday from yl_test.yl_table_01 WHERE id<${id} GROUP BY name,birthday,id HAVING weight_total > #{weight_total} ORDER BY id limit #{offset},#{maxRows}',
    comment:'',
  },
  {
    column:'birthday',
    alias:'birthday',
    sourceSql:'1',
    sql:'SELECT name,birthday,sum(weight) as weight_total from yl_test.yl_table_01 WHERE id< #{id} GROUP BY name,birthday,id HAVING weight_total > #{weight_total} ORDER BY id limit #{offset},#{maxRows} SELECT name,birthday from yl_test.yl_table_01 WHERE id<${id} GROUP BY name,birthday,id HAVING weight_total > #{weight_total} ORDER BY id limit #{offset},#{maxRows}',
    comment:'',
  },
];
/**SQL模式-步骤1 列表数据4*/
export const step1TableData4: any[] = [
  {
    sql:'SELECT name,birthday,sum(weight) as weight_total from yi_test.yiu_table_01 WHERE id< #{id} GROUP BY name,birthday,id HAVING weight_total > #{weight_total} ORDER BY id limit #{offset},#{maxRows} SELECT name,birthday from yi_test.yiu_table_01 WHERE id<${id} GROUP BY name,birthday,id HAVING weight_total > #{weight_total} ORDER BY id limit',
    alias:'S1',
    sqlType:'1',
    returnRecordCount:'100'
  },
  {
    sql:'SELECT name,birthday,sum(weight) as weight_total from yi_test.yiu_table_01 WHERE id< #{id} GROUP BY name,birthday,id HAVING weight_total > #{weight_total} ORDER BY id limit #{offset},#{maxRows} SELECT name,birthday from yi_test.yiu_table_01 WHERE id<${id} GROUP BY name,birthday,id HAVING weight_total > #{weight_total} ORDER BY id limit',
    alias:'S2',
    sqlType:'1',
    returnRecordCount:'-'
  },

];
/**元数据树/列表 数据*/
export const metadataTreeData: any[] = [
  {
    "businessId": 101,
    "apiName": "@!&test@&",
    "anotherName": "@!&test@&",
    "parentId": 0,
    icon: "material-symbols:database-outline",

  },
  {
    "businessId": 102,
    "apiName": "@!&data@&!",
    "anotherName": "@!&data@&!",
    "parentId": 0,
    icon: "material-symbols:database-outline",
  },
  {
    "businessId": 103,
    "apiName": "@sxf_db",
    "anotherName": "@sxf_db",
    "parentId": 0,
    icon: "material-symbols:database-outline",
  },
  {
    "businessId": 104,
    "apiName": "bc_test",
    "anotherName": "bc_test",
    "parentId": 0,
    icon: "material-symbols:database-outline",
  },
  {
    "businessId": 105,
    "apiName": "yi_test",
    "anotherName": "yi_test",
    "parentId": 0,
    icon: "material-symbols:database-outline",
  },
  {
    "businessId": 201,
    "apiName": "demo",
    "anotherName": "demo",
    "parentId": 101,
    icon:'uiw:table'
  },
  {
    "businessId": 202,
    "apiName": "demo",
    "anotherName": "demo",
    "parentId": 102,
    icon:'uiw:table'
  },
  {
    "businessId": 203,
    "apiName": "demo",
    "anotherName": "demo",
    "parentId": 103,
    icon:'uiw:table'
  },
  {
    "businessId": 204,
    "apiName": "demo",
    "anotherName": "demo",
    "parentId": 104,
    icon:'uiw:table'
  },
  {
    "businessId": 205,
    "apiName": "yi_test",
    "anotherName": "yi_table_01",
    "parentId": 105,
    icon:'uiw:table'
  },
  {
    "businessId": 206,
    "apiName": "yi_test",
    "anotherName": "yi_table_02",
    "parentId": 105,
    icon:'uiw:table'
  },

];
/**SQL模式-步骤2 列表数据1*/
export const step2TableData1: any[] = [
  {
    parameterCode:'size',
    parameterLocation:'1',
    Xpath:'^.size',
    dataType:'1',
    comment:'',
    isNeed:'2',
    defaultValue:'',
    exampleValue:''
  },
  {
    parameterCode:'sortRules',
    parameterLocation:'1',
    Xpath:'^.sortRules[]',
    dataType:'2',
    comment:'',
    isNeed:'2',
    defaultValue:'',
    exampleValue:''
  },
  {
    parameterCode:'category',
    parameterLocation:'1',
    Xpath:'^.category',
    dataType:'4',
    comment:'',
    isNeed:'2',
    defaultValue:'',
    exampleValue:''
  },
  {
    parameterCode:'filterRules',
    parameterLocation:'1',
    Xpath:'^.filterRules[]',
    dataType:'2',
    comment:'',
    isNeed:'2',
    defaultValue:'',
    exampleValue:''
  },
  {
    parameterCode:'page',
    parameterLocation:'1',
    Xpath:'^.page',
    dataType:'1',
    comment:'',
    isNeed:'2',
    defaultValue:'',
    exampleValue:''
  },
  {
    parameterCode:'childrenRequest',
    parameterLocation:'1',
    Xpath:'^.childrenRequest',
    dataType:'3',
    comment:'',
    isNeed:'2',
    defaultValue:'',
    exampleValue:''
  },

];
/**SQL模式-步骤2 列表数据2*/
export const step2TableData2: any[] = [
  {
    originalInput:'S1.size',
    mappingType:'1',
    mappingExpression:'1',
  },
  {
    originalInput:'S1.sortRules',
    mappingType:'1',
    mappingExpression:'2',
  },
  {
    originalInput:'S1.category',
    mappingType:'1',
    mappingExpression:'3',
  },
  {
    originalInput:'S1.filterRules',
    mappingType:'1',
    mappingExpression:'4',
  },
  {
    originalInput:'S1.page',
    mappingType:'1',
    mappingExpression:'5',
  },
  {
    originalInput:'S1.childrenRequest',
    mappingType:'1',
    mappingExpression:'6',
  },
];
/**SQL模式-步骤3 列表数据1*/
export const step3TableData1: any[] = [
  {
    parameterCode:'size',
    parameterLocation:'1',
    Xpath:'^.size',
    dataType:'1',
    comment:'',
    isNeed:'2',
    defaultValue:'',
    exampleValue:''
  },
  {
    parameterCode:'sortRules',
    parameterLocation:'1',
    Xpath:'^.sortRules[]',
    dataType:'2',
    comment:'',
    isNeed:'2',
    defaultValue:'',
    exampleValue:''
  },
  {
    parameterCode:'category',
    parameterLocation:'1',
    Xpath:'^.category',
    dataType:'4',
    comment:'',
    isNeed:'2',
    defaultValue:'',
    exampleValue:''
  },
  {
    parameterCode:'filterRules',
    parameterLocation:'1',
    Xpath:'^.filterRules[]',
    dataType:'2',
    comment:'',
    isNeed:'2',
    defaultValue:'',
    exampleValue:''
  },
  {
    parameterCode:'page',
    parameterLocation:'1',
    Xpath:'^.page',
    dataType:'1',
    comment:'',
    isNeed:'2',
    defaultValue:'',
    exampleValue:''
  },
  {
    parameterCode:'childrenRequest',
    parameterLocation:'1',
    Xpath:'^.childrenRequest',
    dataType:'3',
    comment:'',
    isNeed:'2',
    defaultValue:'',
    exampleValue:''
  },

];
/**SQL模式-步骤3 列表数据2*/
export const step3TableData2: any[] = [
  {
    originalOutput:'size',
    mappingType:'1',
    mappingObject:'1',
  },
  {
    originalOutput:'sortRules',
    mappingType:'1',
    mappingObject:'2',
  },
  {
    originalOutput:'category',
    mappingType:'1',
    mappingObject:'3',
  },
  {
    originalOutput:'filterRules',
    mappingType:'2',
    mappingObject:'4',
  },
  {
    originalOutput:'page',
    mappingType:'2',
    mappingObject:'5',
  },
  {
    originalOutput:'childrenRequest',
    mappingType:'2',
    mappingObject:'6',
  },
];
/**托管模式 列表数据1*/
export const trusteeshipTableData1: any[] = [
  {
    parameterCode:'Basic Input',
    parameterLocation:'1',
    Xpath:'root/a.b/value[0,a]',
    dataType:'1',
  },
  {
    parameterCode:'Basic Input',
    parameterLocation:'2',
    Xpath:'root/a.b/value[0,a]',
    dataType:'2',
  },
  {
    parameterCode:'Basic Input',
    parameterLocation:'1',
    Xpath:'root/a.b/value[0,a]',
    dataType:'3',
  },
  {
    parameterCode:'Basic Input',
    parameterLocation:'2',
    Xpath:'root/a.b/value[0,a]',
    dataType:'4',
  },

];
/**托管模式 列表数据2*/
export const trusteeshipTableData2: any[] = [
  {
    parameterCode:'size',
    parameterLocation:'1',
    Xpath:'^.size',
    dataType:'1',
    comment:'',
    isNeed:'2',
    defaultValue:'',
    exampleValue:''
  },
  {
    parameterCode:'sortRules',
    parameterLocation:'1',
    Xpath:'^.sortRules[]',
    dataType:'2',
    comment:'',
    isNeed:'2',
    defaultValue:'',
    exampleValue:''
  },
  {
    parameterCode:'category',
    parameterLocation:'1',
    Xpath:'^.category',
    dataType:'4',
    comment:'',
    isNeed:'2',
    defaultValue:'',
    exampleValue:''
  },
  {
    parameterCode:'filterRules',
    parameterLocation:'1',
    Xpath:'^.filterRules[]',
    dataType:'2',
    comment:'',
    isNeed:'2',
    defaultValue:'',
    exampleValue:''
  },
  {
    parameterCode:'page',
    parameterLocation:'1',
    Xpath:'^.page',
    dataType:'1',
    comment:'',
    isNeed:'2',
    defaultValue:'',
    exampleValue:''
  },
  {
    parameterCode:'childrenRequest',
    parameterLocation:'1',
    Xpath:'^.childrenRequest',
    dataType:'3',
    comment:'',
    isNeed:'2',
    defaultValue:'',
    exampleValue:''
  },

];
/**托管模式 列表数据3*/
export const trusteeshipTableData3: any[] = [
  {
    originalInput:'S1.size',
    mappingType:'1',
    mappingExpression:'1',
  },
  {
    originalInput:'S1.sortRules',
    mappingType:'1',
    mappingExpression:'2',
  },
  {
    originalInput:'S1.category',
    mappingType:'1',
    mappingExpression:'3',
  },
  {
    originalInput:'S1.filterRules',
    mappingType:'1',
    mappingExpression:'4',
  },
  {
    originalInput:'S1.page',
    mappingType:'1',
    mappingExpression:'5',
  },
  {
    originalInput:'S1.childrenRequest',
    mappingType:'1',
    mappingExpression:'6',
  },
];
/**托管模式 列表数据4*/
export const trusteeshipTableData4: any[] = [
  {
    parameterCode:'Basic Input',
    parameterLocation:'QUERY',
    Xpath:'root/a.b/value[0,a]',
    dataType:'string',
    parameterValue:''
  },
  {
    parameterCode:'Basic Input',
    parameterLocation:'BODY',
    Xpath:'root/a.b/value[0,a]',
    dataType:'number',
    parameterValue:''
  },
  {
    parameterCode:'Basic Input',
    parameterLocation:'QUERY',
    Xpath:'root/a.b/value[0,a]',
    dataType:'string',
    parameterValue:''
  },
  {
    parameterCode:'Basic Input',
    parameterLocation:'BODY',
    Xpath:'root/a.b/value[0,a]',
    dataType:'number',
    parameterValue:''
  },
  {
    parameterCode:'Basic Input',
    parameterLocation:'HEAD',
    Xpath:'root/a.b/value[0,a]',
    dataType:'boolean',
    parameterValue:''
  },

];
/**托管模式 列表数据5*/
export const trusteeshipTableData5: any[] = [
  {
    parameterCode:'size',
    parameterLocation:'Body',
    Xpath:'^.size',
    dataType:'String',
    comment:'size',
    isNeed:'否',
    parameterValue:'size',
  },
  {
    parameterCode:'sortRules',
    parameterLocation:'Body',
    Xpath:'^.sortRules[]',
    dataType:'String',
    comment:'sortRules',
    isNeed:'否',
    parameterValue:'sortRules',
  },
  {
    parameterCode:'category',
    parameterLocation:'Body',
    Xpath:'^.category',
    dataType:'String',
    comment:'category',
    isNeed:'否',
    parameterValue:'category',
  },
  {
    parameterCode:'filterRules',
    parameterLocation:'Body',
    Xpath:'^.filterRules[]',
    dataType:'String',
    comment:'filterRules',
    isNeed:'否',
    parameterValue:'filterRules',
  },
  {
    parameterCode:'page',
    parameterLocation:'Body',
    Xpath:'^.page',
    dataType:'String',
    comment:'page',
    isNeed:'否',
    parameterValue:'page',
  },
  {
    parameterCode:'childrenRequest',
    parameterLocation:'Body',
    Xpath:'^.childrenRequest',
    dataType:'String',
    comment:'childrenRequest',
    isNeed:'否',
    parameterValue:'childrenRequest',

  },
];
export const cardList1:any[] = [
  {
    id: 1,
    title: '执行(0/4)',
  },
  {
    id: 2,
    time: '13:57:33  2毫秒',
    result:'1行结果',
    title: 'Insert into yi_test.yi_table_01(id,na...',
    icon: 'ant-design:check-circle-outlined',
    color: '#e2dfe0',
  },
  {
    id: 3,
    time: '13:57:33  2毫秒',
    result:'0行结果',
    title: 'SELECT name,birthday,sum(weig...',
    icon: 'ant-design:check-circle-outlined',
    color: '#e2dfe0',
  },
  {
    id: 4,
    time: '13:57:33  2毫秒',
    title: 'update yl_test.yl_table_01 set birth...',
    result:'0行结果',
    icon: 'ant-design:check-circle-outlined',
    color: '#e2dfe0',
  },
  {
    id: 5,
    time: '13:57:33  2毫秒',
    result:'5行结果',
    title: 'SELECT * FROM(SELECT a.name AS...',
    icon: 'ant-design:check-circle-outlined',
    color: '#e2dfe0',
  },
]
export const cardList2:any[] = [
  {
    id: 1,
    title: '执行(4/4)',
  },
  {
    id: 2,
    time: '13:57:33  2毫秒',
    result:'1行结果',
    title: 'Insert into yi_test.yi_table_01(id,na...',
    icon: 'ant-design:check-circle-outlined',
    color: '#2f9d59',
  },
  {
    id: 3,
    time: '13:57:33  2毫秒',
    result:'0行结果',
    title: 'SELECT name,birthday,sum(weig...',
    icon: 'ant-design:check-circle-outlined',
    color: '#2f9d59',
  },
  {
    id: 4,
    time: '13:57:33  2毫秒',
    title: 'update yl_test.yl_table_01 set birth...',
    result:'0行结果',
    icon: 'ant-design:check-circle-outlined',
    color: '#2f9d59',
  },
  {
    id: 5,
    time: '13:57:33  2毫秒',
    result:'5行结果',
    title: 'SELECT * FROM(SELECT a.name AS...',
    icon: 'ant-design:check-circle-outlined',
    color: '#2f9d59',
  },
]
export const cardList3:any[] = [
  {
    id: 2,
    desc: '_',
    type:'int(11)',
    title: 'id',
    icon: 'material-symbols:table-rows-outline',
    color: 'rgb(3, 140, 255)',
  },
  {
    id: 3,
    desc: '_',
    type:'varchar(10)',
    title: 'name',
    icon: 'material-symbols:table-rows-outline',
    color: 'rgb(3, 140, 255)',
  },
  {
    id: 4,
    desc: '_',
    title: 'height',
    type:'float',
    icon: 'material-symbols:table-rows-outline',
    color: 'rgb(3, 140, 255)',
  },
  {
    id: 5,
    desc: '_',
    type:'decimal(10,2)',
    title: 'weight',
    icon: 'material-symbols:table-rows-outline',
    color: 'rgb(3, 140, 255)',
  },
  {
    id: 5,
    desc: '_',
    type:'text',
    title: 'family',
    icon: 'material-symbols:table-rows-outline',
    color: 'rgb(3, 140, 255)',
  },
  {
    id: 5,
    desc: '_',
    type:'bigint(20)',
    title: 'phone_number',
    icon: 'material-symbols:table-rows-outline',
    color: 'rgb(3, 140, 255)',
  },
  {
    id: 5,
    desc: '_',
    type:'char(20)',
    title: 'city',
    icon: 'material-symbols:table-rows-outline',
    color: 'rgb(3, 140, 255)',
  },
  {
    id: 5,
    desc: '_',
    type:'tinyint(1)',
    title: 'sex',
    icon: 'material-symbols:table-rows-outline',
    color: 'rgb(3, 140, 255)',
  },
  {
    id: 5,
    desc: '_',
    type:'date',
    title: 'birthday',
    icon: 'material-symbols:table-rows-outline',
    color: 'rgb(3, 140, 255)',
  },
]
export const cardList4:any[] = [
  {
    id: 2,
    desc: '_',
    type:'int(11)',
    title: 'id',
    icon: 'material-symbols:table-rows-outline',
    color: 'rgb(3, 140, 255)',
  },
  {
    id: 3,
    desc: '_',
    type:'varchar(10)',
    title: 'name',
    icon: 'material-symbols:table-rows-outline',
    color: 'rgb(3, 140, 255)',
  },
  {
    id: 4,
    desc: '_',
    title: 'height',
    type:'float',
    icon: 'material-symbols:table-rows-outline',
    color: 'rgb(3, 140, 255)',
  },
  {
    id: 5,
    desc: '_',
    type:'decimal(10,2)',
    title: 'weight',
    icon: 'material-symbols:table-rows-outline',
    color: 'rgb(3, 140, 255)',
  },
]
export const cardList5:any[] = [
  {
    id: 2,
    desc: '_',
    type:'int(11)',
    title: 'id',
    icon: 'material-symbols:table-rows-outline',
    color: 'rgb(3, 140, 255)',
  },
  {
    id: 3,
    desc: '_',
    type:'varchar(10)',
    title: 'name',
    icon: 'material-symbols:table-rows-outline',
    color: 'rgb(3, 140, 255)',
  },
  {
    id: 4,
    desc: '_',
    title: 'height',
    type:'float',
    icon: 'material-symbols:table-rows-outline',
    color: 'rgb(3, 140, 255)',
  },
  {
    id: 5,
    desc: '_',
    type:'decimal(10,2)',
    title: 'weight',
    icon: 'material-symbols:table-rows-outline',
    color: 'rgb(3, 140, 255)',
  },
  {
    id: 5,
    desc: '_',
    type:'text',
    title: 'family',
    icon: 'material-symbols:table-rows-outline',
    color: 'rgb(3, 140, 255)',
  },
  {
    id: 5,
    desc: '_',
    type:'tinyint(1)',
    title: 'sex',
    icon: 'material-symbols:table-rows-outline',
    color: 'rgb(3, 140, 255)',
  },
  {
    id: 5,
    desc: '_',
    type:'date',
    title: 'birthday',
    icon: 'material-symbols:table-rows-outline',
    color: 'rgb(3, 140, 255)',
  },
]


/**对比左侧列表 数据1*/
export const leftContrastTableData1 = [
  {
    "businessId": 1,
    "parameterCode": "em_name",
    "parameterName": "em_name",
    "parameterType": 'string',
    "comment": "-",
    "required": "否",
    "parameterValue": "陈从",
  },
]
/**对比左侧列表 数据2*/
export const leftContrastTableData2 = [
  {
    "businessId": 1,
    "parameterCode": "midgard_o...",
    "parameterName": "midgard_o...",
    "parameterType": 'INT',
    "required": "是",
    "parameterV": "-",
  },
  {
    "businessId": 1,
    "parameterCode": "midgard_size",
    "parameterName": "midgard_size",
    "parameterType": 'INT',
    "required": "否",
    "defaultValue": "10",
  },
]
/**对比左侧列表 数据3*/
export const leftContrastTableData3 = [
  {
    "businessId": 1,
    "parameterCode": "pay_basemoney_year",
    "parameterName": "pay_basemoney_year",
    "comment":'',
  },
]
/**对比右侧列表 数据1*/
export const rightContrastTableData1 = [
  {
    "businessId": 1,
    "parameterCode": "em_name",
    "parameterName": "em_name",
    "parameterType": 'string',
    "comment": "-",
    "required": "否",
    "parameterValue": "陈从",
  },
]
/**对比右侧列表 数据2*/
export const rightContrastTableData2 = [
  {
    "businessId": 1,
    "parameterCode": "midgard_o...",
    "parameterName": "midgard_o...",
    "parameterType": 'INT',
    "required": "是",
    "defaultValue": "-",
  },
  {
    "businessId": 1,
    "parameterCode": "midgard_size",
    "parameterName": "midgard_size",
    "parameterType": 'INT',
    "required": "否",
    "defaultValue": "10",
  },
]
/**对比右侧列表 数据3*/
export const rightContrastTableData3 = [
  {
    "businessId": 1,
    "parameterCode": "pay_basemoney_year",
    "parameterName": "pay_basemoney_year",
    "comment":'',
  },
]
/**关联关系 表格3 数据*/
export const relatedRelationshipsData3 = [
  {
    businessId: '1',
    standardName: '当前就读学校',
    standardNumber: 'BIDQ000000001',
    path: '/基础标准/DMP_admin-个人工作区/...',
    associationRelation:'无',
    associationDescription: '无',
    associationTime: '2024-01-01 10:00:00',
    operatorUser: 'DMP_admin',
  },
]
/**详情 表格 数据*/
export const detailData = [
  {
    codeValue: '00',
    codeMeaning: '代码1',
    description: '-',
    updateBy: 'gov_user01',
    updateDate:'2024-05-23 14:35:10',
    sourceSystemCodeValue: '-',
  },
  {
    codeValue: '01',
    codeMeaning: '代码2',
    description: '-',
    updateBy: 'gov_user01',
    updateDate:'2024-05-23 14:35:10',
    sourceSystemCodeValue: '-',
  },
  {
    codeValue: '02',
    codeMeaning: '代码3',
    description: '-',
    updateBy: 'gov_user01',
    updateDate:'2024-05-23 14:35:10',
    sourceSystemCodeValue: '-',
  },
  {
    codeValue: '03',
    codeMeaning: '代码4',
    description: '-',
    updateBy: 'gov_user01',
    updateDate:'2024-05-23 14:35:10',
    sourceSystemCodeValue: '-',
  },
  {
    codeValue: '04',
    codeMeaning: '代码5',
    description: '-',
    updateBy: 'gov_user01',
    updateDate:'2024-05-23 14:35:10',
    sourceSystemCodeValue: '-',
  },
]
/**编辑公共代码 列表数据*/
export const addValueData = [
  {
    sourceSystem: '系统1',
    sourceSystemCodeValue: '00',
  },
  {
    sourceSystem: '系统2',
    sourceSystemCodeValue: '01',
  },
  {
    sourceSystem: '系统3',
    sourceSystemCodeValue: '02',
  },
]
